- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_SequenceTask;'
    index: 2997
    name: Sequence Task
    customTagName: sequenceTask
    superclasses:
    - instance: '&IDC_Task;'
    attributes:
    - instance: '&IDA_Name;' #!FIXME: inherit from class 'inherits' attribute
      customTagName: 'name'
    - instance: '&IDA_Schedulable'
      customTagName: schedulable
    - instance: '&IDA_LongRunning;'
      customTagName: longRunning
    - instance: '&IDA_SuppressRIHints;'
      customTagName: suppressRIHints
    - instance: '&IDA_ShowSpreadsheetButtonOnSelection;'
      customTagName: showSpreadsheetButtonOnSelection

    relationships:
    - instance: '&IDR_Task__has_initiating__Element;'
      customTagName: initiatingElement
      customTagNameCreatesInstanceOf: '&IDC_Element;'
    - instance: '&IDR_Task__has__Task_Category;'
      customTagName: taskCategory
